Bug 987227 - Reviewer Role missing from Edit Project screen
Reviewer Role missing from Edit Project screen
Status: CLOSED NOTABUG
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.0
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 23:01 EDT by Damian Jansen
Modified: 2013-08-08 20:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 20:50:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-07-22 23:01:59 EDT
Description of problem:
Edit Project screen is missing the Reviewer role checkbox for the question
"Would you like to restrict access to this project to certain User roles?"

Version-Release number of selected component (if applicable):
Dev

How reproducible:
Easy always

Steps to Reproduce:
1. Go to a Project
2. Press Edit Project
3. Click Would you like to restrict access to this project to certain User roles? checkbox

Actual results:
Checkboxes ==
admin glossarist glossary-admin translator user	

Expected results:
Reviewer should be a part of this list.
Comment 1 Alex Eng 2013-07-23 00:30:53 EDT
Reviewer role is based on per language team, not a global role.

If restriction of reviewer role is needed for project, then we might need to implement such as maintainer are able to select which locale's reviewer they are restrict to, or restrict to reviewers in all enabled locales in the project.
Comment 2 Damian Jansen 2013-08-07 18:37:06 EDT
If the project maintainer wants to prevent someone else (eg glossarist) from accessing the project, then reviewers will be unable to access the project also.
Comment 3 Sean Flanigan 2013-08-07 22:40:23 EDT
This feature is not about blocking certain roles *from* having access to a project.  It is about making a project available only *to* certain roles.

For instance, making a Fedora-related project available only to members of the Fedora_CLA role.
Comment 4 Damian Jansen 2013-08-08 20:50:17 EDT
The roles in this feature refer to the global roles of Zanata.

"Reviewer" is a role given as part of a language team - a different concept altogether.

Note You need to log in before you can comment on or make changes to this bug.